<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<componentspec>
  <property name="msb_first" type="bool" writable="true" default="true"
    description="When true the output byte is packed starting with the most significant bit first. When false the output byte is
      packed starting with the least significant bit first."/>
  <property name="flush_on_non_sample_opcode" type="bool" writable="true" default="true"
    description="When true any non-sample opcode (except time) will cause any unsent data to be output as an incomplete data word
      before outputting the non-sample opcode. When false any non-sample opcode (except time or flush) will cause any unsent data
      to be discarded before outputting the non-sample opcode."/>
  <port name="input" producer="false" protocol="bool_timed_sample-prot"/>
  <port name="output" producer="true" protocol="uchar_timed_sample-prot"/>
</componentspec>
